org.apache.olingo.commons.api.ex

## Class ODataNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.olingo.commons.api.ex.ODataRuntimeException
        - - org.apache.olingo.commons.api.ex.ODataNotSupportedException

- All Implemented Interfaces:
    Serializable

      public class ODataNotSupportedException
      extends ODataRuntimeException

  Core runtime exception for OData.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataNotSupportedException(Exception cause)` Create with `cause` of exception.
    `ODataNotSupportedException(String msg)` Create with `message`.
    `ODataNotSupportedException(String msg, Exception cause)` Create with `message` for and `cause` of exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataNotSupportedException

          public ODataNotSupportedException(String msg)

      Create with `message`.
      Parameters:
        `msg` - message text for exception

    - #### ODataNotSupportedException

          public ODataNotSupportedException(String msg,
                                            Exception cause)

      Create with `message` for and `cause` of exception.
      Parameters:
        `msg` - message text for exception
        `cause` - cause of exception

    - #### ODataNotSupportedException

          public ODataNotSupportedException(Exception cause)

      Create with `cause` of exception.
      Parameters:
        `cause` - cause of exception

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.